# Emerson Industrial Automation CTSoft (Stabag, Rolf)
# 2017 foo.li systeme + software

# silent parameter gehen irgendwie nicht, installer entpackt aber msi nach %temp%

$packageName    = 'emerson-ctsoft'
$packageSearch  = 'CTSoft*'
$installerType  = 'msi'
$silentArgs     = '/qb'
$version        = '1.16.0.3'
$url            = '\\unxfsv001\software\free\e\emerson\CTSoft\' + $version + '\CTSoft.msi'
$checksum       = 'D168C2436E68C0EA4FDA9545ACA5A12BA6364B84'
$checksumType   = 'sha1'
$checksum64     = $checksum
$checksumType64 = $checksumType

try {
    if (!(Test-Path($url))){
        Write-Warning 'cannot access installer file. this package is for foo.li internal use only'
        throw 'no access to installer file'
    }
    
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like "$packageSearch" }

    if ($app -and ([version]$app.DisplayVersion -ge [version]$version)) {
        Write-Host -ForegroundColor DarkYellow $(
        "CTSoft " + $version + " or greater is already installed. `n" +
        "No need to download and install again. Otherwise uninstall first."
        )
    } else {
        Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 `
            -checksum $checksum -checksumType $checksumType `
            -checksum64 $checksum64 -checksumType64 $checksumType64
    }
} catch {
    throw $_.Exception
}